# Copyright (c) 2022, InfluxFramework LLC
# MIT License. See license.txt

import influxframework


def execute():
	doctypes = influxframework.get_all("DocType", {"module": "Data Migration", "custom": 0}, pluck="name")
	for doctype in doctypes:
		influxframework.delete_doc("DocType", doctype, ignore_missing=True)

	influxframework.delete_doc("Module Def", "Data Migration", ignore_missing=True, force=True)
